MapBasedSmartPropertyOverrideConfigurer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.cfg
[Groovy] Class MapBasedSmartPropertyOverrideConfigurer

    java.lang.Object
      org.codehaus.groovy.grails.commons.cfg.MapBasedSmartPropertyOverrideConfigurer

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanFactoryPostProcessor

    @groovy.transform.CompileStatic
    class MapBasedSmartPropertyOverrideConfigurer
    extends java.lang.Object

Applies property configuration from a Map with bean names as keys and bean properties as name/value Maps (i.e. Map<String,Map<String,Object>>), trying to handle FactoryBeans specially by applying the properties to the actual bean.

Authors:
  Luke Daley

Property Summary
`GrailsApplication` | `application`

Constructor Summary
`MapBasedSmartPropertyOverrideConfigurer(GrailsApplication application)`

Method Summary
`protected void` | `applyPropertyValue(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, java.lang.String property, java.lang.Object value)`
`protected groovy.util.ConfigObject` | `getBeansConfig()`
`protected java.lang.ClassLoader` | `getClassLoader()`
`protected org.springframework.beans.factory.config.BeanDefinition` | `getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName)`
`protected org.springframework.beans.factory.config.BeanDefinition` | `getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition)`
`protected org.springframework.beans.factory.config.BeanDefinition` | `getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition, java.lang.Class beanClass)`
`protected org.springframework.beans.factory.config.BeanDefinition` | `getTargetBeanDefinitionForFactoryBean(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition, java.lang.Class beanClass)`
`void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### application

    final GrailsApplication application

Constructor Detail

### MapBasedSmartPropertyOverrideConfigurer

    MapBasedSmartPropertyOverrideConfigurer(GrailsApplication application)

Method Detail

### applyPropertyValue

    protected void applyPropertyValue(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, java.lang.String property, java.lang.Object value)

### getBeansConfig

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected groovy.util.ConfigObject getBeansConfig()

### getClassLoader

    protected java.lang.ClassLoader getClassLoader()

### getTargetBeanDefinition

    protected org.springframework.beans.factory.config.BeanDefinition getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName)

### getTargetBeanDefinition

    protected org.springframework.beans.factory.config.BeanDefinition getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition)

### getTargetBeanDefinition

    protected org.springframework.beans.factory.config.BeanDefinition getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition, java.lang.Class beanClass)

### getTargetBeanDefinitionForFactoryBean

    protected org.springframework.beans.factory.config.BeanDefinition getTargetBeanDefinitionForFactoryBean(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition, java.lang.Class beanClass)

### postProcessBeanFactory

    void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory)

Groovy Documentation